# Class CIM_DNSProtocolEndpoint
extends CIM_ProtocolEndpoint

A class derived from CIM_ProtocolEndpoint which represents the DNS client and DNS configuration for a single IP endpoint. The DNS server addresses can be determined by querying the AccessInfo property of associated CIM_RemoteServiceAccessPoint instances which have an AccessContext of "DNS Server". The order in which the DNS servers will be queried can be determined by the relative values of the OrderOfAccess property on each CIM_RemoteAccessAvailableToElement association which associated the CIM_RemoteServiceAccessPoint with the CIM_DNSProtocolEndpoint.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_ProtocolEndpoint
|
+--CIM_DNSProtocolEndpoint

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A class derived from CIM_ProtocolEndpoint which represents the DNS client and DNS configuration for a single IP endpoint. The DNS server addresses can be determined by querying the AccessInfo property of associated CIM_RemoteServiceAccessPoint instances which have an AccessContext of "DNS Server". The order in which the DNS servers will be queried can be determined by the relative values of the OrderOfAccess property on each CIM_RemoteAccessAvailableToElement association which associated the CIM_RemoteServiceAccessPoint with the CIM_DNSProtocolEndpoint.

UMLPackagePath | string | CIM::Network::ProtocolEndpoints
Version | string | 2.27.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AppendParentSuffixes | boolean |
Description | string | Whether or not the client appends the parent domain suffix to target names prior to attempting to resolve.
ModelCorrespondence | string | CIM_DNSGeneralSettingData.AppendParentSuffixes
AppendPrimarySuffixes | boolean |
Description | string | Whether or not the client appends the primary domain suffix to target names prior to attempting to resolve.
ModelCorrespondence | string | CIM_DNSGeneralSettingData.AppendPrimarySuffixes
DomainName | string |
Description | string | The domain to use for this client connection.
ModelCorrespondence | string | CIM_DNSSettingData.DomainName
Hostname | string |
Description | string | The Hostname actually in use for this client connection.
Write | boolean | true
RegisterThisConnectionsAddress | boolean |
Description | string | Whether or not the client attempted to register this connection's address in DNS.
ModelCorrespondence | string | CIM_DNSSettingData.RegisterThisConnectionsAddress
UseSuffixWhenRegistering | boolean |
Description | string | Whether or not the suffix is appended before registering the client name with the DNS server.
ModelCorrespondence | string | CIM_DNSSettingData.UseSuffixWhenRegistering
DHCPOptionsToUse | uint16[] |
Description | string | One or more DHCP options that the DNS client is utilizing if they were returned during a DHCP bind operation.
ModelCorrespondence | string | CIM_DHCPProtocolEndpoint.OptionsReceived, CIM_DNSSettingData.DHCPOptionsToUse
ValueMap | string | 8, 14, 17, 18..32767, 32768..65535
Values | string | Domain Name Server, Host Name, Domain Name, DMTF Reserved, Vendor Reserved
DNSSuffixesToAppend | string[] |
Description | string | The DNS suffixes to append when attempting to resolve a hostname.
ModelCorrespondence | string | CIM_DNSGeneralSettingData.DNSSuffixesToAppend

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ProtocolEndpoint
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_ProtocolEndpoint
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ProtocolEndpoint
NameFormat | string | CIM_ProtocolEndpoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherTypeDescription | string | CIM_ProtocolEndpoint
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProtocolIFType | uint16 | CIM_ProtocolEndpoint
ProtocolType | uint16 | CIM_ProtocolEndpoint
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_ProtocolEndpoint
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ProtocolEndpoint
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement